## php.java.servlet
Class ConnectionPool.DefaultInputStream

    java.lang.Object
      java.io.InputStream
          php.java.servlet.ConnectionPool.DefaultInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  ConnectionPool

    public static class ConnectionPool.DefaultInputStream

extends java.io.InputStream

Default InputStream used by the connection pool.

Author:
  jostb

Constructor Summary
`ConnectionPool.DefaultInputStream()`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] buf)`
`int` `read(byte[] buf, int off, int buflength)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPool.DefaultInputStream

    public ConnectionPool.DefaultInputStream()

Method Detail

### read

    public int read(byte[] buf)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buf,
                    int off,
                    int buflength)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`